# openstack.block_storage.v3.group

## The Group Class

The `Group` class inherits from `Resource`.

class openstack.block_storage.v3.group.Group(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'group'

    Singular form of key for resource.

  resources_key = 'groups'

    Plural form of key for resource.

  base_path = '/groups'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  delete(session, *args, delete_volumes=False, **kwargs)

    Delete a group.

  fetch_replication_targets(session)

    Fetch replication targets for the group.

    Parameters:

      session – The session to use for making this request.

    Returns:

      This group with the `replication_targets` field populated.

  enable_replication(session)

    Enable replication for the group.

    Parameters:

      session – The session to use for making this request.

  disable_replication(session)

    Disable replication for the group.

    Parameters:

      session – The session to use for making this request.

  failover_replication(session, *, allowed_attached_volume=False, secondary_backend_id=None)

    Failover replication for the group.

    Parameters:

      - session – The session to use for making this request.

      - allowed_attached_volume – Whether to allow attached volumes in the group.

      - secondary_backend_id – The secondary backend ID.

    Returns:

      None

  reset_status(session, status)

    Resets the status for a group.

    Parameters:

      - session – The session to use for making this request.

      - status – The status for the group.

  classmethod create_from_source(session, group_snapshot_id, source_group_id, name=None, description=None)

    Creates a new group from source.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.